
$regfile = "attiny13.dat"
$crystal = 1200000


Dim Konstanta As Eram Word                                  'definuje konstantu pre AD prevod

'------------------------------------------------------------------------------
'konstanta prevodu zohladnuje, akemu vstupnemu napatiu bude zodpovedat
'cislo N = 1023 v registri.
'Napr. pre indikator napatia palubnej siete je konstanta 66,41,
'co zodpoveda, ze pri napati palubnej siete 12.0V je N=U*konstanta =120*6641=796920
'ako je vidiet, hodnoty sa zadavaju v 1/10 V, teda 12V = 120. Konstanta je zadana
'v 1/100. N je otom 796, nakolko sa vysledok prevodu nasobi 1000
'------------------------------------------------------------------------------

Dim U(5) As Eram Byte                                       'pole hranicnych hodnot (N)

Dim Vstup As Word                                           'premenna sluzi na nacitanie hodnoty z ADC
Dim Vstup32 As Long                                         'premenna pre prepocet vstupneho napatia

Dim I As Byte
Dim Pom As Byte
Dim Pom1 As Long
Dim Pom2 As Word

Config Timer0 = Timer , Prescale = 8                        'definuje parametre casovaca 0

Config Portb = Output                                       ' definuje portb ako vystup okrem PB5
Config Pinb.5 = Input                                       'PB5 je analogovy vstup

Config Aci = Off                                            'vypne analog. komparator

Config Adc = Single , Prescaler = Auto , Reference = Internal       ' definuje vlastnosti AD prevodnika ako spustany s internou referenciou
Set Didr0.adc0d
Start Adc

Reset Portb
'meranie prebieha v nekonecnej slucke
Do
Vstup = Getadc(0)
Vstup32 = Vstup * 1000

For I = 0 To 4                                              'v cykle sa porovnav hodnota vstypneho napatia s prepocitanymi hranicnymi hodnotami
   Pom = U(i + 1)
   Pom1 = Pom
   Pom2 = Konstanta
   Pom1 = Pom1 * Pom2
   If Vstup32 > Pom1 Then Set Portb.i Else Reset Portb.i    'tymto sposobom vyhodnocovania sa dosiahne efekt pasoveho riadenia LED
Next I

Loop


$eeprom
Data &HF1 , &H19 , 108 , 120 , 130 , 140 , 150
'konstanta_spodny, konstanta horny, 5xhranicna hodnota v 1/10V
End