$regfile = "attiny13.dat"
$crystal = 4800000                                          'Nastavena frekvencia 9.6MHz s delicom 8 => 1200000Hz

Disable Interrupts
'------------------DEKLARACIA PREMENNYCH---------------------------------------
Dim Teplota As Word
Dim Dolna As Word
Dim Horna As Word
Dim I As Word , J As Word , I1 As Word , J1 As Word


'-----------------DEKLARACIA KONSTANT-------------------------------------------
Const Teplomer = 0
Const H = 2
Const D = 3
Const Hystereza = 5

'----------------NASTAVENIE PERIFERII(ADC,PORTB,WATCHDOG)-----------------------
' nastavuje referenciu pre Urf = 1.1V
' nastavuje delic frekvencie na ADC na 8 => cca 150kHz taktovanie

Config Portb = &B00000111
Config Adc = Single , Prescaler = 64 , Reference = Internal

Vystup Alias Portb.0
Led Alias Portb.2

'-----------------ZACIATOK PROGRAMU---------------------------------------------
Start_pgm:
Start Adc                                                   ' spusti casovac
Vystup = 0                                                  'inicializuje pociatocne podmienky
Led = 0
Waitms 500
For I = 1 To 2                                              'indikacia zapnutia pristroja / 2x blikne dioda
   Toggle Led
   Waitms 500
   Toggle Led
   Waitms 500
Next I                                                      'hlavny program bezi v nekonecnej slucke
Do                                                          'nacita hodnotu  z portu ADC0
     Teplota = Getadc(teplomer)
    Waitms 5
    Dolna = Getadc(d)                                       'nacita hodnotu z portu ADC3 / potenciometer dolna hranica
    I = Dolna + Hystereza
    I1 = Dolna - Hystereza
    Horna = Getadc(h)                                       'nacita hodnutu z portu ADC2 / potenciometer horna hranica
    J = Horna + Hystereza
    J1 = Horna - Hystereza                                  'podmienka pre prepnutie z rezimu dvojhodnotoveho komparovania
    If Horna > Dolna Then                                   'do jednohodnotoveho komparovania
                           Led = 0
                           Select Case Teplota
                              Case Is < I1 : Vystup = 0     ' podla hodnoty vstupu z teplomera sa rozhoduje, v akom stave je vystup
                              Case I To J1 : Vystup = 1
                              Case Is > J : Vystup = 0
                           End Select
                           Toggle Led
                           Waitms 100
                           Toggle Led
                           Waitms 400
                     Else
                           Led = 1                          ' reaguje iba na dolnu hranicu
                           Select Case Teplota
                              Case Is < I1 : Vystup = 0     'podobne ako vyssie, ale ma iba dve rozhodovacie urovne
                              Case Is > I : Vystup = 1
                           End Select
                           Waitms 500
    End If

Loop